package rip.iwakura.civilcore;

import java.sql.SQLException;

import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.AsyncPlayerChatEvent;
import org.bukkit.event.player.PlayerJoinEvent;

import net.md_5.bungee.api.ChatColor;
import rip.iwakura.civilcore.types.DbPlayer;

public class PlayerHandler implements Listener {

  private CivilCore civilCore = null;

  public PlayerHandler(CivilCore civilCore) {
    this.civilCore = civilCore;
  }

  @EventHandler
  public void PlayerChat(AsyncPlayerChatEvent e) {
    e.setCancelled(true);

    Player p = e.getPlayer();
    String player_name = p.getName();

    DbPlayer dbPlayer = civilCore.db.getPlayerByName(player_name);
    String prefix = dbPlayer.team.prefix == null ? "" : ChatColor.translateAlternateColorCodes('&', dbPlayer.team.prefix) + " ";

    Bukkit.broadcastMessage(String.format("%s%s: %s", prefix, player_name, e.getMessage()));

    civilCore.bot.sendMessage(e);
  }
  @EventHandler
  public void PlayerJoinEvent(PlayerJoinEvent e) {
    Player p = e.getPlayer();
    String player_name = p.getName();
    if(civilCore.db.getPlayerByName(player_name) == null) {
      DbPlayer dbPlayer = new DbPlayer(p.getName(), null);
      try {
		    civilCore.db.insertPlayer(dbPlayer);
	    } catch (SQLException e1) {
		    e1.printStackTrace();
	    }
    }

  }
}
